Index: trunk/hardware/ps_trunk.sch
===================================================================
--- trunk/hardware/ps_trunk.sch	(revision 5)
+++ trunk/hardware/ps_trunk.sch	(revision 7)
@@ -23480,4 +23480,5 @@
 </libraries>
 <attributes>
+<attribute name="DATABASE" value="Z:/Eigene Dateien/Anwendungsdaten/Eagle/partdb/exp.txt"/>
 </attributes>
 <variantdefs>
@@ -23489,32 +23490,127 @@
 <parts>
 <part name="FRAME1" library="frames" library_urn="urn:adsk.eagle:library:229" deviceset="A3L-LOC" device=""/>
-<part name="C6" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="C-EU" device="150-054X183" package3d_urn="urn:adsk.eagle:package:23669/1" override_package3d_urn="urn:adsk.eagle:package:35666444/3" override_package_urn="urn:adsk.eagle:footprint:23162/1" value="1n/275V"/>
-<part name="L1" library="Wurth_EMC Components_WE-CMBNC" library_urn="urn:adsk.eagle:library:14282748" deviceset="WE-CMBNC_M" device="_7448030333" package3d_urn="urn:adsk.eagle:package:10688612/4" value="33mH"/>
-<part name="C4" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="C-EU" device="C1210" package3d_urn="urn:adsk.eagle:package:23619/2" value="1µ/100V"/>
-<part name="C3" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="C-EU" device="C1210" package3d_urn="urn:adsk.eagle:package:23619/2" value="1µ/100V"/>
-<part name="C7" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="CPOL-EU" device="G" package3d_urn="urn:adsk.eagle:package:23427/2" value="33µ/80V"/>
-<part name="D5" library="diode" library_urn="urn:adsk.eagle:library:210" deviceset="SUPPRESSOR-" device="SMBJ" package3d_urn="urn:adsk.eagle:package:43442/2" value="SMBJ24A"/>
-<part name="D2" library="diode" library_urn="urn:adsk.eagle:library:210" deviceset="DIODE-" device="SMC" package3d_urn="urn:adsk.eagle:package:43425/2" value="MURS360"/>
-<part name="D4" library="diode" library_urn="urn:adsk.eagle:library:210" deviceset="DIODE-" device="SMC" package3d_urn="urn:adsk.eagle:package:43425/2" value="MURS360"/>
-<part name="D3" library="diode" library_urn="urn:adsk.eagle:library:210" deviceset="DIODE-" device="SMC" package3d_urn="urn:adsk.eagle:package:43425/2" value="MURS360"/>
-<part name="D1" library="diode" library_urn="urn:adsk.eagle:library:210" deviceset="DIODE-" device="SMC" package3d_urn="urn:adsk.eagle:package:43425/2" value="MURS360"/>
-<part name="C1" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="CPOL-EU" device="G" package3d_urn="urn:adsk.eagle:package:23427/2" value="3,9µF/500V"/>
+<part name="C6" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="C-EU" device="150-054X183" package3d_urn="urn:adsk.eagle:package:23669/1" override_package3d_urn="urn:adsk.eagle:package:35666444/3" override_package_urn="urn:adsk.eagle:footprint:23162/1" value="10n/275V">
+<spice>
+<pinmapping spiceprefix="C">
+<pinmap gate="G$1" pin="1" pinorder="1"/>
+<pinmap gate="G$1" pin="2" pinorder="2"/>
+</pinmapping>
+</spice>
+<attribute name="PARTNO" value="C005"/>
+</part>
+<part name="L1" library="Wurth_EMC Components_WE-CMBNC" library_urn="urn:adsk.eagle:library:14282748" deviceset="WE-CMBNC_M" device="_7448030333" package3d_urn="urn:adsk.eagle:package:10688612/4" value="33mH">
+<attribute name="PARTNO" value="L072"/>
+</part>
+<part name="C4" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="C-EU" device="C1210" package3d_urn="urn:adsk.eagle:package:23619/2" value="1µ/100V">
+<spice>
+<pinmapping spiceprefix="C">
+<pinmap gate="G$1" pin="1" pinorder="1"/>
+<pinmap gate="G$1" pin="2" pinorder="2"/>
+</pinmapping>
+</spice>
+<attribute name="PARTNO" value="C216"/>
+</part>
+<part name="C3" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="C-EU" device="C1210" package3d_urn="urn:adsk.eagle:package:23619/2" value="1µ/100V">
+<spice>
+<pinmapping spiceprefix="C">
+<pinmap gate="G$1" pin="1" pinorder="1"/>
+<pinmap gate="G$1" pin="2" pinorder="2"/>
+</pinmapping>
+</spice>
+<attribute name="PARTNO" value="C216"/>
+</part>
+<part name="C7" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="CPOL-EU" device="G" package3d_urn="urn:adsk.eagle:package:23427/2" value="33µ/80V">
+<spice>
+<pinmapping spiceprefix="C">
+<pinmap gate="G$1" pin="+" pinorder="1"/>
+<pinmap gate="G$1" pin="-" pinorder="2"/>
+</pinmapping>
+</spice>
+<attribute name="PARTNO" value="C224"/>
+</part>
+<part name="D5" library="diode" library_urn="urn:adsk.eagle:library:210" deviceset="SUPPRESSOR-" device="SMBJ" package3d_urn="urn:adsk.eagle:package:43442/2" value="SMBJ24A">
+<attribute name="PARTNO" value="D212"/>
+</part>
+<part name="D2" library="diode" library_urn="urn:adsk.eagle:library:210" deviceset="DIODE-" device="SMC" package3d_urn="urn:adsk.eagle:package:43425/2" value="MURS360">
+<attribute name="PARTNO" value="D049"/>
+</part>
+<part name="D4" library="diode" library_urn="urn:adsk.eagle:library:210" deviceset="DIODE-" device="SMC" package3d_urn="urn:adsk.eagle:package:43425/2" value="MURS360">
+<attribute name="PARTNO" value="D049"/>
+</part>
+<part name="D3" library="diode" library_urn="urn:adsk.eagle:library:210" deviceset="DIODE-" device="SMC" package3d_urn="urn:adsk.eagle:package:43425/2" value="MURS360">
+<attribute name="PARTNO" value="D049"/>
+</part>
+<part name="D1" library="diode" library_urn="urn:adsk.eagle:library:210" deviceset="DIODE-" device="SMC" package3d_urn="urn:adsk.eagle:package:43425/2" value="MURS360">
+<attribute name="PARTNO" value="D049"/>
+</part>
+<part name="C1" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="CPOL-EU" device="G" package3d_urn="urn:adsk.eagle:package:23427/2" value="2,2µF/450V">
+<spice>
+<pinmapping spiceprefix="C">
+<pinmap gate="G$1" pin="+" pinorder="1"/>
+<pinmap gate="G$1" pin="-" pinorder="2"/>
+</pinmapping>
+</spice>
+<attribute name="PARTNO" value="C449"/>
+</part>
 <part name="GND2" library="supply1" library_urn="urn:adsk.eagle:library:371" deviceset="GND" device=""/>
 <part name="P+2" library="supply1" library_urn="urn:adsk.eagle:library:371" deviceset="+24V" device=""/>
-<part name="R1" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="R-EU_" device="R0603" package3d_urn="urn:adsk.eagle:package:23555/3" value="10k"/>
-<part name="LED1" library="led" library_urn="urn:adsk.eagle:library:259" deviceset="LED" device="CHIP-LED0603" package3d_urn="urn:adsk.eagle:package:15819/3" value="gn"/>
-<part name="C2" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="CPOL-EU" device="G" package3d_urn="urn:adsk.eagle:package:23427/2" value="3,9µF/500V"/>
-<part name="C5" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="CPOL-EU" device="G" package3d_urn="urn:adsk.eagle:package:23427/2" value="3,9µF/500V"/>
-<part name="M1" library="PSK-30D-24" deviceset="IRM20" device="" override_package3d_urn="urn:adsk.eagle:package:35666486/2" override_package_urn="urn:adsk.eagle:footprint:35666487/1"/>
-<part name="RV1" library="Wurth_EMC Components_WE-VD" library_urn="urn:adsk.eagle:library:14283070" deviceset="WE-VD_10MM" device="_820512511" package3d_urn="urn:adsk.eagle:package:12144856/2" value="250Vrms"/>
-<part name="RV2" library="Wurth_EMC Components_WE-VD" library_urn="urn:adsk.eagle:library:14283070" deviceset="WE-VD_10MM" device="_820512511" package3d_urn="urn:adsk.eagle:package:12144856/2" value="0ZRE075FF Polyfuse 0,75-1,5 A"/>
+<part name="R1" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="R-EU_" device="R0603" package3d_urn="urn:adsk.eagle:package:23555/3" value="10k">
+<spice>
+<pinmapping spiceprefix="R">
+<pinmap gate="G$1" pin="1" pinorder="1"/>
+<pinmap gate="G$1" pin="2" pinorder="2"/>
+</pinmapping>
+</spice>
+<attribute name="PARTNO" value="R221"/>
+</part>
+<part name="LED1" library="led" library_urn="urn:adsk.eagle:library:259" deviceset="LED" device="CHIP-LED0603" package3d_urn="urn:adsk.eagle:package:15819/3" value="gn">
+<attribute name="PARTNO" value="D078"/>
+</part>
+<part name="C2" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="CPOL-EU" device="G" package3d_urn="urn:adsk.eagle:package:23427/2" value="2,2µF/450V">
+<spice>
+<pinmapping spiceprefix="C">
+<pinmap gate="G$1" pin="+" pinorder="1"/>
+<pinmap gate="G$1" pin="-" pinorder="2"/>
+</pinmapping>
+</spice>
+<attribute name="PARTNO" value="C449"/>
+</part>
+<part name="C5" library="rcl" library_urn="urn:adsk.eagle:library:334" deviceset="CPOL-EU" device="G" package3d_urn="urn:adsk.eagle:package:23427/2" value="2,2µF/450V">
+<spice>
+<pinmapping spiceprefix="C">
+<pinmap gate="G$1" pin="+" pinorder="1"/>
+<pinmap gate="G$1" pin="-" pinorder="2"/>
+</pinmapping>
+</spice>
+<attribute name="PARTNO" value="C449"/>
+</part>
+<part name="M1" library="PSK-30D-24" deviceset="IRM20" device="" override_package3d_urn="urn:adsk.eagle:package:35666486/2" override_package_urn="urn:adsk.eagle:footprint:35666487/1">
+<attribute name="PARTNO" value="BGEK075"/>
+</part>
+<part name="RV1" library="Wurth_EMC Components_WE-VD" library_urn="urn:adsk.eagle:library:14283070" deviceset="WE-VD_10MM" device="_820512511" package3d_urn="urn:adsk.eagle:package:12144856/2" value="250Vrms">
+<attribute name="PARTNO" value="R055"/>
+</part>
+<part name="RV2" library="Wurth_EMC Components_WE-VD" library_urn="urn:adsk.eagle:library:14283070" deviceset="WE-VD_10MM" device="_820512511" package3d_urn="urn:adsk.eagle:package:12144856/2" value="0ZRE075FF Polyfuse 0,75-1,5 A">
+<attribute name="PARTNO" value="R055"/>
+</part>
 <part name="BOM-PART1" library="bom" deviceset="BOM-PART" device="" value="Stecker 2pol, gerade, 691 368 300 002 B">
+<attribute name="PARTNO" value="CON355"/>
 <attribute name="QTY" value="3"/>
 </part>
-<part name="BOM-PART2" library="bom" deviceset="BOM-PART" device="" value="Stecker 6pol. gerade, 691 368 300 004 B"/>
-<part name="J1" library="Wurth_Connectors_WR-TBL Pluggable Connector" library_urn="urn:adsk.eagle:library:16280984" deviceset="691322310004" device="" package3d_urn="urn:adsk.eagle:package:16281916/2"/>
-<part name="J4" library="Wurth_Connectors_WR-TBL Pluggable Connector" library_urn="urn:adsk.eagle:library:16280984" deviceset="691322310002" device="" package3d_urn="urn:adsk.eagle:package:16281914/2"/>
-<part name="J2" library="Wurth_Connectors_WR-TBL Pluggable Connector" library_urn="urn:adsk.eagle:library:16280984" deviceset="691322310002" device="" package3d_urn="urn:adsk.eagle:package:16281914/2"/>
-<part name="J3" library="Wurth_Connectors_WR-TBL Pluggable Connector" library_urn="urn:adsk.eagle:library:16280984" deviceset="691322310002" device="" package3d_urn="urn:adsk.eagle:package:16281914/2"/>
+<part name="BOM-PART2" library="bom" deviceset="BOM-PART" device="" value="Stecker 6pol. gerade, 691 368 300 004 B">
+<attribute name="PARTNO" value="CON356"/>
+</part>
+<part name="J1" library="Wurth_Connectors_WR-TBL Pluggable Connector" library_urn="urn:adsk.eagle:library:16280984" deviceset="691322310004" device="" package3d_urn="urn:adsk.eagle:package:16281916/2">
+<attribute name="PARTNO" value="CON354"/>
+</part>
+<part name="J4" library="Wurth_Connectors_WR-TBL Pluggable Connector" library_urn="urn:adsk.eagle:library:16280984" deviceset="691322310002" device="" package3d_urn="urn:adsk.eagle:package:16281914/2">
+<attribute name="PARTNO" value="CON353"/>
+</part>
+<part name="J2" library="Wurth_Connectors_WR-TBL Pluggable Connector" library_urn="urn:adsk.eagle:library:16280984" deviceset="691322310002" device="" package3d_urn="urn:adsk.eagle:package:16281914/2">
+<attribute name="PARTNO" value="CON353"/>
+</part>
+<part name="J3" library="Wurth_Connectors_WR-TBL Pluggable Connector" library_urn="urn:adsk.eagle:library:16280984" deviceset="691322310002" device="" package3d_urn="urn:adsk.eagle:package:16281914/2">
+<attribute name="PARTNO" value="CON353"/>
+</part>
 </parts>
 <sheets>
@@ -23541,44 +23637,55 @@
 <attribute name="NAME" x="77.724" y="195.961" size="1.778" layer="95"/>
 <attribute name="VALUE" x="77.724" y="190.881" size="1.778" layer="96"/>
+<attribute name="PARTNO" x="76.2" y="195.58" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="L1" gate="G$1" x="114.3" y="193.04" smashed="yes">
 <attribute name="NAME" x="114.3" y="197.05" size="1.778" layer="95" align="bottom-center"/>
 <attribute name="VALUE" x="110.16" y="187.66" size="1.778" layer="96"/>
+<attribute name="PARTNO" x="114.3" y="193.04" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="C4" gate="G$1" x="281.94" y="193.04" smashed="yes">
 <attribute name="NAME" x="283.464" y="193.421" size="1.778" layer="95"/>
 <attribute name="VALUE" x="283.464" y="188.341" size="1.778" layer="96"/>
+<attribute name="PARTNO" x="281.94" y="193.04" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="C3" gate="G$1" x="294.64" y="193.04" smashed="yes">
 <attribute name="NAME" x="296.164" y="193.421" size="1.778" layer="95"/>
 <attribute name="VALUE" x="296.164" y="188.341" size="1.778" layer="96"/>
+<attribute name="PARTNO" x="294.64" y="193.04" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="C7" gate="G$1" x="309.88" y="193.04" smashed="yes">
 <attribute name="NAME" x="311.023" y="193.5226" size="1.778" layer="95"/>
 <attribute name="VALUE" x="311.023" y="188.4426" size="1.778" layer="96"/>
+<attribute name="PARTNO" x="309.88" y="193.04" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="D5" gate="G$1" x="327.66" y="190.5" smashed="yes">
 <attribute name="NAME" x="330.454" y="192.405" size="1.778" layer="95"/>
 <attribute name="VALUE" x="330.454" y="189.611" size="1.778" layer="96"/>
+<attribute name="PARTNO" x="327.66" y="190.5" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="D2" gate="G$1" x="149.86" y="200.66" smashed="yes" rot="R90">
 <attribute name="NAME" x="149.3774" y="203.2" size="1.778" layer="95" rot="R90"/>
 <attribute name="VALUE" x="154.7114" y="195.58" size="1.778" layer="96" rot="R90"/>
+<attribute name="PARTNO" x="149.86" y="200.66" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="D4" gate="G$1" x="149.86" y="180.34" smashed="yes" rot="R90">
 <attribute name="NAME" x="149.3774" y="182.88" size="1.778" layer="95" rot="R90"/>
 <attribute name="VALUE" x="154.7114" y="175.26" size="1.778" layer="96" rot="R90"/>
+<attribute name="PARTNO" x="149.86" y="180.34" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="D3" gate="G$1" x="134.62" y="180.34" smashed="yes" rot="R90">
 <attribute name="NAME" x="134.1374" y="182.88" size="1.778" layer="95" rot="R90"/>
 <attribute name="VALUE" x="139.4714" y="175.26" size="1.778" layer="96" rot="R90"/>
+<attribute name="PARTNO" x="134.62" y="180.34" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="D1" gate="G$1" x="134.62" y="200.66" smashed="yes" rot="R90">
 <attribute name="NAME" x="134.1374" y="203.2" size="1.778" layer="95" rot="R90"/>
 <attribute name="VALUE" x="139.4714" y="195.58" size="1.778" layer="96" rot="R90"/>
+<attribute name="PARTNO" x="134.62" y="200.66" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="C1" gate="G$1" x="172.72" y="193.04" smashed="yes">
 <attribute name="NAME" x="173.863" y="193.5226" size="1.778" layer="95"/>
 <attribute name="VALUE" x="173.863" y="185.9026" size="1.778" layer="96"/>
+<attribute name="PARTNO" x="172.72" y="193.04" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="GND2" gate="1" x="355.6" y="165.1" smashed="yes">
@@ -23591,28 +23698,35 @@
 <attribute name="NAME" x="346.4814" y="194.31" size="1.778" layer="95" rot="R90"/>
 <attribute name="VALUE" x="351.282" y="194.31" size="1.778" layer="96" rot="R90"/>
+<attribute name="PARTNO" x="347.98" y="198.12" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="LED1" gate="G$1" x="347.98" y="187.96" smashed="yes">
 <attribute name="NAME" x="351.536" y="183.388" size="1.778" layer="95" rot="R90"/>
 <attribute name="VALUE" x="353.695" y="183.388" size="1.778" layer="96" rot="R90"/>
+<attribute name="PARTNO" x="347.98" y="187.96" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="C2" gate="G$1" x="190.5" y="193.04" smashed="yes">
 <attribute name="NAME" x="191.643" y="193.5226" size="1.778" layer="95"/>
 <attribute name="VALUE" x="191.643" y="185.9026" size="1.778" layer="96"/>
+<attribute name="PARTNO" x="190.5" y="193.04" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="C5" gate="G$1" x="210.82" y="193.04" smashed="yes">
 <attribute name="NAME" x="211.963" y="193.5226" size="1.778" layer="95"/>
 <attribute name="VALUE" x="211.963" y="185.9026" size="1.778" layer="96"/>
+<attribute name="PARTNO" x="210.82" y="193.04" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="M1" gate="G$1" x="259.08" y="193.04" smashed="yes">
 <attribute name="VALUE" x="248.92" y="185.42" size="2.032" layer="96"/>
 <attribute name="NAME" x="248.92" y="200.66" size="2.032" layer="95" align="top-left"/>
+<attribute name="PARTNO" x="259.08" y="193.04" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="RV1" gate="G$1" x="66.04" y="193.04" smashed="yes" rot="R90">
 <attribute name="NAME" x="63.5" y="193.04" size="1.778" layer="95" rot="R90" align="bottom-center"/>
 <attribute name="VALUE" x="70.612" y="187.96" size="1.778" layer="96" rot="R90"/>
+<attribute name="PARTNO" x="66.04" y="193.04" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="RV2" gate="G$1" x="53.34" y="203.2" smashed="yes" rot="R180">
 <attribute name="NAME" x="53.34" y="200.66" size="1.778" layer="95" rot="R180" align="bottom-center"/>
 <attribute name="VALUE" x="58.42" y="207.772" size="1.778" layer="96" rot="R180"/>
+<attribute name="PARTNO" x="53.34" y="203.2" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="BOM-PART1" gate="G$1" x="30.48" y="139.7" smashed="yes">
@@ -23629,16 +23743,20 @@
 <attribute name="NAME" x="24.065" y="188.05" size="1.016" layer="95" rot="R90" align="bottom-right"/>
 <attribute name="VALUE" x="25.87" y="188.09" size="1.016" layer="96" rot="R90" align="bottom-right"/>
+<attribute name="PARTNO" x="22.86" y="195.58" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="J4" gate="G$1" x="375.92" y="193.04" smashed="yes" rot="R270">
 <attribute name="NAME" x="374.715" y="198.03" size="1.016" layer="95" rot="R270" align="bottom-right"/>
 <attribute name="VALUE" x="372.91" y="197.99" size="1.016" layer="96" rot="R270" align="bottom-right"/>
+<attribute name="PARTNO" x="375.92" y="193.04" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="J2" gate="G$1" x="375.92" y="187.96" smashed="yes" rot="R270">
 <attribute name="NAME" x="374.715" y="192.95" size="1.016" layer="95" rot="R270" align="bottom-right"/>
 <attribute name="VALUE" x="372.91" y="192.91" size="1.016" layer="96" rot="R270" align="bottom-right"/>
+<attribute name="PARTNO" x="375.92" y="187.96" size="1.778" layer="96" display="off"/>
 </instance>
 <instance part="J3" gate="G$1" x="375.92" y="198.12" smashed="yes" rot="R270">
 <attribute name="NAME" x="374.715" y="203.11" size="1.016" layer="95" rot="R270" align="bottom-right"/>
 <attribute name="VALUE" x="372.91" y="203.07" size="1.016" layer="96" rot="R270" align="bottom-right"/>
+<attribute name="PARTNO" x="375.92" y="198.12" size="1.778" layer="96" display="off"/>
 </instance>
 </instances>
